Delete record

Prev Next

Available in Classic and VPC

Delete a specified record among those added to a specific domain.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
DELETE /dns/v1/ncpdns/record/{domainId}

Request headers

For information about the headers common to all Record APIs, see Record API request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
domainId Integer Required Domain ID

Request body

The following describes the request body.

Field Type Required Description
list List[Long] Required Record ID list

Request example

The following is a sample request.

curl --location --request DELETE 'https://globaldns.apigw.ntruss.com/dns/v1/ncpdns/record/25***' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '[
    26****
]'

Response

The following describes the response format.

Response status codes

For information about the HTTP status codes common to all Record APIs, see Record API response status codes.

Error code example

The following is a sample error code.

{
    "result": "FAIL",
    "error": {
        "errorCode": "X00006",
        "message": "The record you want to delete (Type: A, Name : www.example.com) is being used as an alias elsewhere. Try deleting again after deleting the alias.",
        "devMessage": "The record you want to delete (Type: {0}, Name : {1}) is being used as an alias elsewhere.<br>Try deleting again after deleting the alias."
    }
}